mibs-downloader/mib-downloader.sh

33 lines
570 B
Bash
Executable File

#!/bin/bash
if [ -z "$1" ]; then
echo "Usage: $0 <MIB name>" >&2
exit 2
fi
gc(){
test -f "$F" && rm "$F"
}
trap gc EXIT
F=$(mktemp)
if wget -qO "$F" "http://www.circitor.fr/Mibs/Mib/${1:0:1}/$1.mib"; then
if ! grep "<html" "$F" >/dev/null; then
mv "$F" "mibs/$1.mib"
exit 0
fi
echo "MIB not found on circitor.fr" >&2
fi
if wget -qO "$F" "https://iphostmonitor.com/mib/$1.html"; then
if ! grep "<html" "$F" >/dev/null; then
mv "$F" "mibs/$1.mib"
exit 0
fi
echo "MIB not found on iphostmonitor.com" >&2
fi
echo "ERROR: Unable to find $1" >&2
exit 1